Doomsday Engine - Bug #2212

[Hexen] Strange behavior of torch artifact
2017-03-12 23:17 - theleo_ua

Status: Closed Start date: 2017-03-12
Priority: High % Done: 100%
Assignee: skyjake

Category: Regression

Target version: 2.0 — Home Ul & Packages

Description

[Hexen] Strange behavior of torch artifact
1) Run Hexen

2) Type indiana cheat

3) Activate torch artifact

Actual result:

http://storage9.static.itmages.ru/i/17/0312/h_1489353370_9197879 3f2ae219dd.png

http://storage8.static.itmages.ru/i/17/0312/h_1489353370_3776518_f06171ba32.png

http://storage8.static.itmages.ru/i/17/0312/h_1489353370_9557765_3e499d4¢c36.png

http://storage?.static.itmages.ru/i/17/0312/h 1489353368 3727254 _824cae8888.png

http://storage7.static.itmages.ru/i/17/0312/h 1489353369 9679022 _1a4d658a5e.png
http://storage?.static.itmages.ru/i/17/0312/h_1489353368_9644002_3277a8d5bf.png

Expected result: correct lighting of the textures
CFG + Logs attached

Reproduced in 2.0 RC2 build 2257

Associated revisions

Revision d0377dee - 2017-03-14 17:27 - skyjake
Fixed|Renderer: Torch light is broken

Light contribution from torches was unclamped. Removed the unused
additive torch light option.

IssuelD #2212
Revision 2150045e - 2017-03-14 17:32 - skyjake
Fixed|Renderer: Torch light is broken

Light contribution from torches was unclamped. Removed the unused
additive torch light option.

IssuelD #2212

History

#1 - 2017-03-12 23:19 - skyjake

- Tags set to Hexen, Renderer

- Category set to Regression

- Assignee set to skyjake

- Priority changed from Normal to High

- Target version set to 2.0.1

#2 - 2017-03-14 13:05 - skyjake

- Status changed from New to In Progress
I'll investigate what is causing this and, if it's a simple fix, it can be included in 2.0.

#3 - 2017-03-14 16:11 - vermil

A stable release should not release with any bug like this.

#4 - 2017-03-14 17:25 - skyjake

- Status changed from In Progress to Resolved

- Target version changed from 2.0.1 to 2.0 — Home Ul & Packages
- % Done changed from 0 to 100

#5 - 2017-03-15 08:12 - skyjake

- Status changed from Resolved to Closed

Files

CFG+LOGS.zip 120 KB
